attribute vec4 a_position;
attribute vec4 a_texCoord;

uniform mat4 matrix;
uniform bool facingFront;

varying vec2 v_texCoord;
varying vec2 v_bgTexCoord;

void main()
{
    gl_Position = a_position;
    if (facingFront) {
        v_texCoord = (matrix*a_texCoord).xy;
    } else {
        v_texCoord = (a_texCoord).xy;
    }
    v_bgTexCoord = (a_position.xy + 1.0) / 2.0;
}
