attribute vec4 position;
attribute vec4 inputTextureCoordinate;
attribute vec4 inputTextureCoordinate2;

uniform mat4 matrix;
uniform bool facingFront;

varying vec2 textureCoordinate;
varying vec2 textureCoordinate2;

void main()
{
    gl_Position = position;
    textureCoordinate = (matrix*inputTextureCoordinate).xy;
    if (facingFront) {
        textureCoordinate2 = (matrix*inputTextureCoordinate2).xy;
    } else {
        textureCoordinate2 = (inputTextureCoordinate2).xy;
    }
}